I had upgraded to kernel 2.6.30 from Ubuntu Kernel ppa and then installed the nvidia 185.18.14, initially it would give you a gcc mismatch complaint during install but just ignore it and it works fine.